Bug 483683 - X becomes achingly slow after a while without 'nomodeset' on an ATI X300SE
X becomes achingly slow after a while without 'nomodeset' on an ATI X300SE
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 18:40 EST by Chris Siebenmann
Modified: 2009-12-18 02:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:47:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (4.21 KB, text/plain)
2009-02-02 18:40 EST, Chris Siebenmann
no flags Details
Xorg.0.log (40.29 KB, text/plain)
2009-02-04 16:36 EST, Chris Siebenmann
no flags Details
/var/log/dmesg (35.67 KB, text/plain)
2009-02-04 16:37 EST, Chris Siebenmann
no flags Details
/var/log/messages (55.26 KB, text/plain)
2009-02-04 16:39 EST, Chris Siebenmann
no flags Details

  None (edit)
Description Chris Siebenmann 2009-02-02 18:40:24 EST
Created attachment 330693 [details]
xorg.conf

Description of problem:
If I boot my Fedora 10 system without 'nomodeset' and start X, after a while
the X server become achingly slow to update/repaint windows. Once this has
started, the situation will persist until I reboot the machine; shutting down
X and restarting will not fix anything. (I have left the machine sitting at
the text console overnight without anything changing.)

This has primarily happened under kernel-2.6.27.12-170.2.5.fc10.x86_64,
but I have seen it happen once with kernel-2.6.27.9-159.fc10.x86_64.

I believe but cannot confirm that running graphics intensive programs
(such as photo processing software) makes the problem happen sooner.
The problem does not seem to happen if I boot the system with 'nomodeset'.

The machine did not have this problem when it was running Fedora 8;
everything worked fine (apart from the X server itself growing in
memory usage due to my long-running Firefox, which encouraged an
X server restart about once a week or so).

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.9.0-63.fc10.x86_64
kernel-2.6.27.12-170.2.5.fc10.x86_64

My card is:
VGA compatible controller: ATI Technologies Inc RV370 5B60 [Radeon X300 (PCIE)]
Display controller: ATI Technologies Inc RV370 [Radeon X300SE]

My machine:
Asus M2N4-SLI motherboard, Athlon X2 4600+ CPU, 6 GB of RAM.

My xorg.conf is somewhat customized, because it is an inherited, customized
version from Fedora 8 and before that Fedora 6. I will attach it for your
perusal. (I cannot easily run without a custom xorg.conf, because the default
ATI Radeon driver does not create a virtual screen large enough to accommodate
two 1280x1024 panels side by side.)
Comment 1 Matěj Cepl 2009-02-03 12:38:53 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server log file (/var/log/Xorg.*.log), /var/log/messages, and /var/log/dmesg to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Chris Siebenmann 2009-02-04 16:36:24 EST
Created attachment 330924 [details]
Xorg.0.log

This Xorg.0.log is from a session before the problem has manifested. I'd
hoped to be able to give you one from a post-problem session, but that
was interrupted by other things and rather than wait, I'll put this up
now. If/when the problem reappears I'll check for additional things in
the X log.
Comment 3 Chris Siebenmann 2009-02-04 16:37:12 EST
Created attachment 330925 [details]
/var/log/dmesg
Comment 4 Chris Siebenmann 2009-02-04 16:39:35 EST
Created attachment 330926 [details]
/var/log/messages

This is my /var/log/messages from the most recent system boot onwards.
I have removed syslog messages from my (locally-written) SMTP server
front-end on the grounds that they're both verbose and irrelevant.
Comment 5 Bug Zapper 2009-11-18 05:58:07 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:47:19 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.